libzypp: zypp/Capability.h File Reference

libzypp 17.38.7

Capability.h File Reference
`#include <iosfwd>`
`#include <zypp-core/Globals.h>`
`#include <zypp/sat/detail/PoolMember.h>`
`#include <zypp/IdString.h>`
`#include <zypp/Edition.h>`
`#include <zypp/Rel.h>`
`#include <zypp/ResTraits.h>`
`#include <zypp/ResolverNamespace.h>`
`#include <zypp/CapMatch.h>`

Go to the source code of this file.

## Classes
class | zypp::Capability
| A sat capability. More...
struct | zypp::Capability::Matches
| matches functor. More...
struct | zypp::dumpCap
| relates: Capability IOManip to dump a complex Capability as tree. More...
class | zypp::CapDetail
| Helper providing more detailed information about a Capability. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Typedefs
using | zypp::CapabilitySet = std::unordered_set<Capability>

## Functions
std::ostream & | zypp::operator<< (std::ostream &str, const Capability &obj) ZYPP_API
| relates: Capability Stream output
std::ostream & | zypp::dumpOn (std::ostream &str, const Capability &obj) ZYPP_API
| relates: Capability Detailed stream output
std::ostream & | zypp::operator<< (std::ostream &str, Capability::CapRel obj) ZYPP_API
| relates: Capability::CapRel Stream output
bool | zypp::operator== (const Capability &lhs, const Capability &rhs)
| relates: Capability
bool | zypp::operator!= (const Capability &lhs, const Capability &rhs)
| relates: Capability
bool | zypp::operator< (const Capability &lhs, const Capability &rhs)
| relates: Capability Arbitrary order.
std::ostream & | zypp::operator<< (std::ostream &str, const dumpCap &obj)
| relates: dumpCap Stream output
std::ostream & | zypp::operator<< (std::ostream &str, const CapDetail &obj) ZYPP_API
| relates: CapDetail Stream output
std::ostream & | zypp::operator<< (std::ostream &str, CapDetail::Kind obj) ZYPP_API
| relates: CapDetail Stream output
std::ostream & | zypp::operator<< (std::ostream &str, CapDetail::CapRel obj) ZYPP_API
| relates: CapDetail Stream output
| ZYPP_DEFINE_ID_HASHABLE (::zypp::Capability)

## Function Documentation

## ◆ ZYPP_DEFINE_ID_HASHABLE()

ZYPP_DEFINE_ID_HASHABLE | ( | ::zypp::Capability |  | ) |